# Uses of Class
org.jmol.util.Point3fi

Packages that use Point3fi
Package
Description
org.jmol.api
org.jmol.modelset
org.jmol.render
org.jmol.symmetry
org.jmol.util
org.jmol.viewer

## Uses of Point3fi in org.jmol.api

Methods in org.jmol.api that return types with arguments of type Point3fi
Modifier and Type
Method
Description
`Lst<Point3fi>`
SymmetryInterface.`getEquivPoints(Point3fi pt, String flags, float packing)`
Methods in org.jmol.api with parameters of type Point3fi
Modifier and Type
Method
Description
`Lst<Point3fi>`
SymmetryInterface.`getEquivPoints(Point3fi pt, String flags, float packing)`
Method parameters in org.jmol.api with type arguments of type Point3fi
Modifier and Type
Method
Description
`void`
SymmetryInterface.`getEquivPointList(int nIgnore, String flags, M4[] opsCtr, float packing, Lst<Point3fi> pts, SymmetryInterface uc)`

## Uses of Point3fi in org.jmol.modelset

Subclasses of Point3fi in org.jmol.modelset
Modifier and Type
Class
Description
`class`
`Atom`
Fields in org.jmol.modelset declared as Point3fi
Modifier and Type
Field
Description
`Point3fi[]`
Measurement.`pts`
`Point3fi`
Group.`strutPoint`
Methods in org.jmol.modelset that return Point3fi
Modifier and Type
Method
Description
`Point3fi`
Measurement.`getAtom(int n)`
`Point3fi[]`
ModelSet.`getBBoxVertices()`
Methods in org.jmol.modelset with parameters of type Point3fi
Modifier and Type
Method
Description
`int`
MeasurementPending.`addPoint(int atomIndex, Point3fi ptClicked, boolean doSet)`
`float`
Measurement.`getMeasurement(Point3fi[] pts)`
`float`
Measurement.`getPropMeasurement(Point3fi[] pts)`
`void`
Measurement.`refresh(Point3fi[] pts)`
`boolean`
Measurement.`sameAsPoints(int[] indices, Point3fi[] points)`
`Measurement`
Measurement.`setPoints(ModelSet modelSet, int[] indices, Point3fi[] points, TickInfo tickInfo)`

## Uses of Point3fi in org.jmol.render

Fields in org.jmol.render declared as Point3fi
Modifier and Type
Field
Description
`protected Point3fi`
LabelsRenderer.`atomPt`

## Uses of Point3fi in org.jmol.symmetry

Methods in org.jmol.symmetry that return types with arguments of type Point3fi
Modifier and Type
Method
Description
`Lst<Point3fi>`
Symmetry.`getEquivPoints(Point3fi pt, String flags, float packing)`
Methods in org.jmol.symmetry with parameters of type Point3fi
Modifier and Type
Method
Description
`Lst<Point3fi>`
Symmetry.`getEquivPoints(Point3fi pt, String flags, float packing)`
Method parameters in org.jmol.symmetry with type arguments of type Point3fi
Modifier and Type
Method
Description
`void`
Symmetry.`getEquivPointList(int nInitial, String flags, M4[] opsCtr, float packing, Lst<Point3fi> pts, SymmetryInterface uc)`
Load a list of initial current points, and one or more starting points with equivalent points.

## Uses of Point3fi in org.jmol.util

Methods in org.jmol.util that return Point3fi
Modifier and Type
Method
Description
`Point3fi`
Point3fi.`copy()`
`Point3fi[]`
BoxInfo.`getBoundBoxVertices()`
`static Point3fi`
Point3fi.`new4(float x, float y, float z, int i)`
`static Point3fi`
Point3fi.`newPF(T3 p, int i)`
Methods in org.jmol.util with parameters of type Point3fi
Modifier and Type
Method
Description
`P3[]`
Vibration.`addTracePt(int n, Point3fi ptNew)`
`void`
Point3fi.`setPF(Point3fi p)`

## Uses of Point3fi in org.jmol.viewer

Methods in org.jmol.viewer that return types with arguments of type Point3fi
Modifier and Type
Method
Description
`Lst<Point3fi>`
Viewer.`getSymmetryEquivPointList(Lst<Point3fi> pts, String flags)`
`Lst<Point3fi>`
Viewer.`getSymmetryEquivPoints(Point3fi pt, String flags)`
Methods in org.jmol.viewer with parameters of type Point3fi
Modifier and Type
Method
Description
`Lst<Point3fi>`
Viewer.`getSymmetryEquivPoints(Point3fi pt, String flags)`
Method parameters in org.jmol.viewer with type arguments of type Point3fi
Modifier and Type
Method
Description
`Lst<Point3fi>`
Viewer.`getSymmetryEquivPointList(Lst<Point3fi> pts, String flags)`